#!/bin/sh
#

drop_caches() {
	sync; echo 3 > /proc/sys/vm/drop_caches
}

#export QWS_SIZE=320x240
#export QWS_DISPLAY="VNC:LinuxFb VNC:size=320x240 Transformed:Rot90:0"
export QWS_DISPLAY="Multi: VNC:size=320x240 Transformed:Rot90:0"
export QWS_KEYBOARD="LinuxInput:/dev/input/event0"

drop_caches

while true; do
	#./MiniKassir -qws -display "Multi: VNC:1 linuxfb:0 Transformed:Rot90 :2" -nomouse
  #./MiniKassir -qws -display Transformed:Rot90 -nomouse
  ./MiniKassir -qws -nomouse
	RET=$?
	if [[ \( $RET -eq 0 \) || \( $RET -eq 143 \)  ]]; # если 143, считаем что процессу сделали kill
	then
		echo "'MiniKassir' exit with code $RET."
	drop_caches
		break;
	fi
	echo "'MiniKassir' exit with code $RET.  Respawning..." >&2
	drop_caches
	sleep 1
done
